import { gameStat } from '../config';

class UsageController {

  log(event: string, params: object|null = null) {
    console.log(event, params);
  }

  sendScore(win) {
  }

}

async function postData(url = '', data = {}) {
  const response = await fetch(url, {
    method: 'POST',
    mode: 'cors',
    cache: 'no-cache',
    credentials: 'same-origin',
    headers: {
      'Content-Type': 'application/json'
    },
    redirect: 'follow',
    referrerPolicy: 'no-referrer',
    body: JSON.stringify(data)
  });
  return await response.json();
}

export const usageController = new UsageController();
