import { effects } from './effects';

export const ingredients = [
  'apple',
  'bark',
  'beehive',
  'beer',
  'beet',
  'bone',
  'carrot',
  'cheese',
  'coal',
  'crystal',
  'doll',
  'eyeball',
  'fairy',
  'feather',
  'fish',
  'flower',
  'grass',
  'herbs',
  'leaf',
  'mushroom',
  'turf',
  'walnut',
  'worm',
];

let shuffledEffects: string[] = [], j = 0;
const shuffle = (step) => {
  if (j + step >= shuffledEffects.length) {
    shuffledEffects = Phaser.Utils.Array.Shuffle([...effects]);
    j = 0;
  }
}
shuffle(true);

const tmp = {};
ingredients.forEach(i => {
  tmp[i] = {};
  effects.forEach(e => {
    tmp[i][e] = 0;
    //tmp[i][e] = Math.random() / 2 + 0.02;
  });
  for (let y = 0; y < 4; y++) {
    tmp[i][shuffledEffects[j]] += 2 * Math.random() / 3;
    j++;
  }
  shuffle(2);
  for (let y = 0; y < 2; y++) {
    tmp[i][shuffledEffects[j]] = -Math.random() / 3 + 0.1;
    j++;
  }
  shuffle(4);
})

export const ingredientsImpactLimit = 0.65;
export const ingredientsImpact: Record<string, Record<string, number>> = tmp;
