
export const clients = [
  'adventurer',
  'archer',
  'bandit',
  'barbarian',
  'bear',
  'bull',
  'cyclops',
  'doctor',
  'dragon',
  'druid',
  'elder',
  'farmer',
  'goblin',
  'hero',
  'king',
  'knight',
  'mage',
  'miner',
  'mummy',
  'orc',
  'paladin',
  'pig',
  'pikeman',
  'priest',
  'rogue',
  'skeleton',
  'stag',
  'trader',
  'villager',
  'warrior',
  'witch',
  'wolf',
  'worker',
  'yeti',
  'zombie',
];

export enum ClientsCategory {
  HUMAN = 'Human',
  MAGE = 'Mage',
  UNDEAD = 'Undead',
  CREATURE = 'Creature',
  ANIMAL = 'Animal',
}

export const clientByType = {
  'adventurer': ClientsCategory.HUMAN,
  'archer': ClientsCategory.HUMAN,
  'bandit': ClientsCategory.HUMAN,
  'barbarian': ClientsCategory.HUMAN,
  'bear': ClientsCategory.ANIMAL,
  'bull': ClientsCategory.ANIMAL,
  'cyclops': ClientsCategory.CREATURE,
  'doctor': ClientsCategory.MAGE,
  'dragon': ClientsCategory.HUMAN,
  'druid': ClientsCategory.MAGE,
  'elder': ClientsCategory.MAGE,
  'farmer': ClientsCategory.HUMAN,
  'goblin': ClientsCategory.CREATURE,
  'hero': ClientsCategory.HUMAN,
  'king': ClientsCategory.HUMAN,
  'knight': ClientsCategory.HUMAN,
  'mage': ClientsCategory.MAGE,
  'miner': ClientsCategory.HUMAN,
  'mummy': ClientsCategory.UNDEAD,
  'orc': ClientsCategory.CREATURE,
  'paladin': ClientsCategory.HUMAN,
  'pig': ClientsCategory.ANIMAL,
  'pikeman': ClientsCategory.HUMAN,
  'priest': ClientsCategory.MAGE,
  'rogue': ClientsCategory.HUMAN,
  'skeleton': ClientsCategory.UNDEAD,
  'stag': ClientsCategory.ANIMAL,
  'trader': ClientsCategory.HUMAN,
  'villager': ClientsCategory.HUMAN,
  'warrior': ClientsCategory.HUMAN,
  'witch': ClientsCategory.MAGE,
  'wolf': ClientsCategory.ANIMAL,
  'worker': ClientsCategory.HUMAN,
  'yeti': ClientsCategory.CREATURE,
  'zombie': ClientsCategory.UNDEAD,
};
