import BaseScene from './base.scene';
import EffectSprite from '../sprites/effect.sprite';
import IngredientSprite from '../sprites/ingredient.sprite';
import ClientSprite from '../sprites/client.sprite';
import { spritesController } from '../controllers';

export default class BaseLevelScene extends BaseScene {

  effectsPull: EffectSprite[] = [];
  effects: EffectSprite[] = [];
  ingredients: IngredientSprite[] = [];
  client: ClientSprite;

  constructor(config) {
    super(config);
    spritesController.setScene(this);
  }

  update(time, delta) {

  }

  showEffect(type, x, y) {
  }

}
